<template>
    <div class="declared">
        <div class="img">
            <img src="./img/success.png" alt="">
        </div>
        <div class="name">契税补贴申报成功</div>
        <div class="buttonList">
            <van-button class="button button1" @click="go(1)">查看进度</van-button>
            <van-button class="button button2" @click="go(2)">返回</van-button>
        </div>
    </div>
</template>

<script>
import Vue from 'vue';
import { Button } from 'vant';

Vue.use(Button);
export default {
    data() {
        return {
            code: ''
        }
    },
    methods: {
        go(value) {
            if (value == 1) {
                this.$router.replace({ name: 'DeedtaxHandling', query: { code: this.code } })
            } else {
                this.$router.replace({ name: 'DeedtaxIndex' })
            }
        },
    },
    created() {
        this.code = this.$route.query.code
        console.log(this.code)
    }
}
</script>

<style lang="stylus" scoped>
.declared{
    width: 100%;
    height: 100vh;
    background: #FFFFFF;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    .img{
        width 180px;
        height 180px;
        img{
            width 100%;
            height 100%;
        }
    }
    .name{
        font-size: 36px;
        font-family: PingFangSC-Medium, PingFang SC;
        font-weight: 600;
        color: #333333;
        margin: 50px 0 100px 0;
    }
    .buttonList{
        margin-bottom: 300px;
        display: flex;
        flex-direction: column;
        align-items: center;
        .button{
            width: 500px;
            height: 80px;
            border-radius: 40px;
            margin-bottom: 20px;
        }
        .button1{
            background: #EB4E3F;
            color: #fff;
        }
        .button2{
            border: 2px solid #EB4E3F;
            color: #EB4E3F;
        }
    }
}
</style>